% -------------------------------------------------------------------------
%  Filename: ApproxElementaryFunction.m
%  Drawing Fig 3.1.2
%  Programmed by CBS
% -------------------------------------------------------------------------
clear all, close all
tt = linspace(0.1,10,100);
yy = (tt+0.2).*(tt-2).*(tt-5).*(tt-9).*(tt-10.2)-20;
yy(51:100) = yy(51:100) - 200;
t = [ tt(1), tt(11), tt(35), tt(47), tt(65), tt(90), tt(100) ];
y = [ yy(1), yy(11), yy(35), yy(47), yy(65), yy(90), yy(100) ];
% Plot
hold on
plot([-0.2,-0.2],[-400,500],'k','linewidth',2)
plot(tt(1:50),yy(1:50),'g','linewidth',2)
plot(tt(50),yy(50),'kO','linewidth',2)
plot(tt(51),yy(51),'k.',tt(51),yy(51),'k*','linewidth',3)
plot(tt(51:100),yy(51:100),'g','linewidth',2)
for dum=1:4
    plot([t(dum),t(dum+1)],y(dum)*[1,1],'k','linewidth',2)
    plot(t(dum),y(dum),'k.',t(dum),y(dum),'k*','linewidth',3)
    plot(t(dum+1),y(dum),'kO','linewidth',2)
    set(gca,'fontsize',12,'fontweigh','bold','xtick',[],'ytick',[])
end
for dum=4:6
    plot([t(dum),t(dum+1)],y(dum)*[1,1],'k','linewidth',2)
    plot(t(dum),y(dum),'k.',t(dum),y(dum),'k*','linewidth',3)
    plot(t(dum+1),y(dum),'kO','linewidth',2)
end
    plot([t(end),10.5],[50,50],'k','linewidth',2)
    plot(t(end),50,'k.',t(end),50,'k*','linewidth',3)
xdum1 = -0.5:0.01:10; ydum1 = 0*xdum1;
plot([-0.5 10],[0 0 ],'k-','linewidth',1.5)
plot([ 0 0 ],[-2.5 5 ],'k-','linewidth',1.5)
dum1 = 0.2; dum2 = 25;
axis( [ -.5, 9.5, -370 430 ])
text(t(1)-dum1,-dum2,'\bf t_0')
text(t(2)-dum1,-dum2,'\bf t_1')
text(t(3)-dum1,-dum2,'\bf t_2')
text(t(4)-dum1,-dum2,'\bf t_3')
text(t(5)-dum1,-dum2,'\bf t_4')
text(t(6)-dum1,-dum2,'\bf t_5')
% text(9.5,-dum2,'\bf t')
hold off
% End of program
% -------------------------------------------------------------------------
