% -------------------------------------------------------------------------
%  Filename: ElementarySamplePath.m
%  Drawing Fig 3.1.1
%  Programmed by CBS
% -------------------------------------------------------------------------
clear all, close all, clf
t = [ 0.5 1 2 3.5 4 5.2 8 ];
y = [ 1 4 2.5 0.8 -1.5 1.5 -2.0 ];
% Plot
hold on
for dum=1:6
    plot([t(dum),t(dum+1)],y(dum)*[1,1],'k','linewidth',2)
    plot(t(dum),y(dum),'k.',t(dum),y(dum),'k*','linewidth',3)
    plot(t(dum+1),y(dum),'kO','linewidth',2)
end
    set(gca,'fontsize',12,'fontweigh','bold','xtick',[],'ytick',[])
    plot([t(end),8.5],[2.8,2.8],'k','linewidth',2)
    plot(t(end),2.8,'k.',t(end),2.8,'k*','linewidth',3)
xdum1 = -0.5:0.01:8.5; ydum1 = 0*xdum1;
plot(xdum1,ydum1,'k-','linewidth',1.5)
ydum2 = -2.5:0.01:5; xdum2 = 0*ydum2;
plot(xdum2,ydum2,'k-','linewidth',1.5)
axis( [ -.5, 9, -2.7, 5.2 ])
text(t(1)-0.2,-0.25,'\bf t_0')
text(t(2)-0.2,-0.25,'\bf t_1')
text(t(3)-0.2,-0.25,'\bf t_2')
text(t(4)-0.2,-0.25,'\bf t_3')
text(t(5)-0.2,-0.25,'\bf t_4')
text(t(6)-0.2,-0.25,'\bf t_5')
text(t(7)-0.2,-0.25,'\bf t_6')
text(-0.35,4.8,'\bf \phi')
text(8.5,-0.2,'\bf t')
hold off
% End of program
% -------------------------------------------------------------------------
