% -------------------------------------------------------------------------
%  Filename: PutCallParity1.m
%  Drawing Fig 3.6.1
%  Programmed by CBS
% -------------------------------------------------------------------------
clear all, close all, clf

K = 1;
xmin = K - 0.6;
xmax = K + 0.6;
ymax = xmax - K;
ymin = -ymax;
x = xmin:0.001:xmax;
% plot( [ -xmin xmax ], [ 0 0 ],'k:','linewidth',1.5)

hold on
C = max(x-K,0);
P = max(K-x,0);
UmR = x-K;
plot(x,UmR,'g',x,C,'k:',x,-P,'r-.','linewidth',2)
set(gca,'fontsize',12,'fontweigh','bold','xtick',[],'ytick',[])
legend('x-K','[x-K]^{+}','-[K-x]^{+}',4)
text(K-0.04,+0.03,'\bf K')
text(xmax-0.05,-0.03,'\bf x')
axis( [ xmin xmax ymin ymax ] )
axis square
hold off

% End of program
% -------------------------------------------------------------------------
