% -------------------------------------------------------------------------
%  Filename: TanakaFunction1.m
%  Drawing Fig 3.10.1
%  Programmed by CBS
% -------------------------------------------------------------------------
function TanakaFunction1
clear all, close all

K = 1;
xmin = K - 0.6;
xmax = K + 0.6;
ymin = 0;
ymax = xmax - K;

plot( [ -xmin xmax ], [ 0 0 ],'k:','linewidth',1.5)
set(gca,'fontsize',12,'fontweigh','bold','xtick',[],'ytick',[])
hold on
x1 = xmin:0.001:K;
fn1 = 0*x1;
x3 = K:0.001:xmax;
fn3 = x3-K;
plot(x1,fn1,'r',x3,fn3,'r','linewidth',1.5)
for n=1:2:9
    x1 = xmin:0.001:(K-1/2/n);
    fn1 = 0*x1;
    x2 = (K-1/2/n):0.001:(K+1/2/n);
    fn2 = n/2*(x2-K).^2 + 1/2*(x2-K) + 1/8/n;
    x3 = (K+1/2/n):0.001:xmax;
    fn3 = x3-K;
    plot(x1,fn1,'k',x2,fn2,'k',x3,fn3,'k','linewidth',1.5)
end
text(K-0.02,-0.02,'\bf K')
axis( [ xmin xmax ymin-0.05 ymax ] )
hold off

% end of program
% -------------------------------------------------------------------------
